%define git 662c5c1

Summary: Mono bindings for the GKeyFile library
Name: gkeyfile-sharp
Version: 0.1
Release: %mkrel 15
# https://github.com/mono/gkeyfile-sharp/tarball/GKEYFILE_SHARP_0_1
Source0: %{name}-%{version}.tar.gz
Patch0: gkeyfile-sharp-0.1-fix-dllimports.patch
License: LGPLv2+
Group: System/Libraries
Url: https://github.com/mono/gkeyfile-sharp
BuildArch: noarch
BuildRequires: pkgconfig(mono)
BuildRequires: glib2-devel
BuildRequires: glib-sharp2 >= 2.12.9
BuildRequires: pkgconfig(gapi-2.0)
Requires: glib2
#gw filter out deps from *.dll.config
%global __requires_exclude ^lib.*0$

%description
This is a Mono binding for the GKeyFile library.

%package devel
Summary: Development files for %name
Requires: %name = %version-%release
Group: Development/Other

%description devel
This is a Mono binding for the GKeyFile library.

%prep
%setup -q -n mono-%name-%git
sed -i "s#gmcs#mcs#g" configure.in
%autopatch -p1
./autogen.sh

%build
./configure --prefix=%_prefix --libdir=%_prefix/lib
%make_build

%install
%make_install pkgconfigdir=%_datadir/pkgconfig

%files
%doc AUTHORS
%_prefix/lib/mono/%name
%_prefix/lib/mono/gac/%name

%files devel
%_datadir/pkgconfig/%name.pc




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.1-15.mga10
+ Revision: 2213471
- Mageia 10 Mass Rebuild

* Fri Apr 01 2022 umeabot <umeabot> 0.1-14.mga9
+ Revision: 1838817
- Mageia 9 Mass Rebuild

* Mon Sep 21 2020 tv <tv> 0.1-13.mga8
+ Revision: 1629215
- rebuild mono fixed mono for proper mono provides & requires...

* Sun Sep 20 2020 tv <tv> 0.1-12.mga8
+ Revision: 1628985
- rebuild for new mono
+ danf <danf>
- Switch URLs from http: to https:

* Tue Feb 11 2020 umeabot <umeabot> 0.1-11.mga8
+ Revision: 1489541
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.1-10.mga7
+ Revision: 1260758
- Mageia 7 Mass Rebuild
- Mageia 6 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Thu Dec 03 2015 tv <tv> 0.1-8.mga6
+ Revision: 907939
- fix finding mono4 compiler

* Wed Oct 15 2014 umeabot <umeabot> 0.1-7.mga5
+ Revision: 741209
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1-6.mga5
+ Revision: 679600
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 0.1-5.mga4
+ Revision: 504883
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.1-4.mga3
+ Revision: 351656
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 24 2011 boklm <boklm> 0.1-3.mga1
+ Revision: 76144
- rebuild for bug #497

* Tue Mar 15 2011 ennael <ennael> 0.1-2.mga1
+ Revision: 71948
- imported package gkeyfile-sharp


* Sun Jan 16 2011 Götz Waschk <waschk@mandriva.org> 0.1-2mdv2011.0
+ Revision: 631143
- fix dll import statements
- update URL

* Fri Sep 10 2010 Götz Waschk <waschk@mandriva.org> 0.1-1mdv2011.0
+ Revision: 577097
- switch to 0.1 release tarball
- update file list

* Mon Aug 30 2010 Götz Waschk <waschk@mandriva.org> 0.1-0.20100818.1mdv2011.0
+ Revision: 574372
- import gkeyfile-sharp

